#ifndef VERSION_H
#define VERSION_H

typedef struct {
	unsigned int major;
	unsigned int minor;
} version_t;

// returns 1 if l < r
int version_lt(const version_t* l, const version_t* r);
// returns 1 if l == r
int version_eq(const version_t* l, const version_t* r);

extern const version_t SLURPIE_VERSION;

#endif
