#!/bin/sh
# summarizer for exp1
HOSTS=../planetlab/hosts

if [ "X$1" = "X-r" ]; then
	HOSTS=../planetlab/hosts.rogues
fi

OUT=summary
rm -f $OUT
touch $OUT
for host in `cat $HOSTS`; do
	echo -n "$host " | tee -a $OUT
	awk '	BEGIN{ count=0; sum=0} \
		/Average/ {count=count+1; sum=sum+$7} \
		END { \
			if(count!=0){	\
				print count, sum, sum/count \
			}else { \
				print count, sum, "0" 	\
			} \
		} \
	' $host* | tee -a $OUT
done
