#!/usr/bin/perl -w

# post processor for exp3 and exp4 after relative-summary.pl
if((@ARGV) && ($ARGV[0] eq "-r")){
	$ROGUES=1;
} else {
	$ROGUES=0;
}

open RELATIVE, "relative" or die "open :$!";
while(<RELATIVE>){
	chomp;
	($machine,$c1,$c2,$c4,$c8,$c16,$c32,$c50) = split;
	$machine=$machine;
	
	if($c1 ne "-"){
		$count[0]++;
		$avg[0]+=$c2;
	}
	if($c2 ne "-"){
		$count[1]++;
		$avg[1]+=$c2;
	}
	if($c4 ne "-"){
		$count[2]++;
		$avg[2]+=$c4;
	}
	if($c8 ne "-"){
		$count[3]++;
		$avg[3]+=$c8;
	}
	if($c16 ne "-"){
		$count[4]++;
		$avg[4]+=$c16;
	}
	if($c32 ne "-"){
		$count[5]++;
		$avg[5]+=$c32;
	}
	if($c50 ne "-"){
		$count[6]++;
		$avg[6]+=$c50;
	}
}

if(defined($count[0])&&($count[0]>0)){
	printf("%d\t%f\n",1,$avg[0]/$count[0]);
} else {
	printf("%d\t%f\n",1,1);
}
if(defined($count[1])&&($count[1]>0)){
	printf("%d\t%f\n",2,$avg[1]/$count[1]);
}
if(defined($count[2])&&($count[1]>0)){
	printf("%d\t%f\n",4,$avg[2]/$count[2]);
}
if(defined($count[3])&&($count[1]>0)){
	printf("%d\t%f\n",8,$avg[3]/$count[3]);
}
if(defined($count[4])&&($count[1]>0)){
	printf("%d\t%f\n",16,$avg[4]/$count[4]);
}
if(defined($count[5])&&($count[1]>0)){
	printf("%d\t%f\n",32,$avg[5]/$count[5]);
}
if(defined($count[6])&&($count[1]>0)){
	if($ROGUES){
		printf("%d\t%f\n",48,$avg[6]/$count[6]);
	}else {
		printf("%d\t%f\n",50,$avg[6]/$count[6]);
	}
}

