#ifndef LEECH_SERVER_NEW_H
#define LEECH_SERVER_NEW_H

#include <sys/types.h>
#include "leech_server.h"

// default size of leeches array
//#define LEECH_ARR_SIZE          25 // included from leech_server.h
#define FILE_BUF_SIZE           8192

// Creates a blank slupie daemon. 
leech_server_t* leech_server_new_create(struct context* theUserParamsP);

void leech_server_new_destroy(leech_server_t *theCtxtP);

void leech_server_new_handle_client(leech_server_t *theCtxtP, 
				connection_t *theClientSockP);
int leech_server_new_run(leech_server_t *theCtxtP);
void do_leech_server_new_tests();
#endif
