#include <stdio.h>
#include <stdlib.h>

#include "downloads.h"

download* downloadCreate(const char* addr, int port){
	download* rv = NULL;
	rv = (download*)malloc(sizeof(download));
	if (rv == NULL) {
		printf("downloadCreate error: Unable to allocate a download structure\n");
	}
	return rv;
}

download* downloadCreateByIP(unsigned int ip, unsigned short port){
	download* rv = NULL;
	rv = (download*)malloc(sizeof(download));
	if (rv == NULL) {
		printf("downloadCreate error: Unable to allocate a download structure\n");
	}
	rv->ip=ip;
	rv->port=port;
	return rv;
}



void downloadDestroy(download* d) {
	if (d)
		free(d);
}


