#ifndef COMMAND_T
#define COMMAND_T

#include <rem_slurpied.h>

// 1 - Create a new command name here,
// 2 - Create the associating structure in common/rem_slupied
// 3 - Add the structure to the union
// 4 - Create enum2string and string2enum in command.c
// 5 - Modify command_create and command_destroy

typedef struct {
	command_name_t name;
	union {
		order_cmd* order;
		get_drinkers_cmd* get_drinkers;
	} u;
} command_t;
command_t* command_from_string(const char* command_and_parameters);
void command_destroy(command_t**);
void do_command_tests();


#endif
