#!/usr/bin/perl -w

$USER="umd2";
$TRUE="true";
$SIG{"ALRM"}=\&handleAlarm1;
$TIMEOUT1=60;
$TIMEOUT2=60*30;

if(@ARGV == 0 ) {
	print STDERR " $0 host --url file\n";
	exit(1);
}

if($ARGV[0] eq "-r"){
	$USER="capveg";
	shift @ARGV;
}

$HOST=shift;
$urlarg=1;
if($ARGV[0] eq "--magic"){
	$urlarg=3;
} else {
	$urlarg=1;
}
$FILE=$ARGV[$urlarg];
if($FILE !~ /^http:/){
	print STDERR "Expected arg ",$urlarg+2," to be http://, got |$FILE|\n";
	exit(1);
}

$FILE =~ s/(.*)\///;
$FILE =~ s/.torrent//;

# ping host , get hostkey, and remove preexisting file
print STDERR "Removing $FILE\n";
alarm($TIMEOUT1);
system("ssh -l $USER -o StrictHostKeyChecking=no $HOST \"killall -q python; $TRUE\""); 
if($?){
	print STDERR  "Error Connecting to $HOST : $?\n";
	exit(1);
}
$start=time();
alarm($TIMEOUT2);
$SIG{'ALRM'}=\&handleAlarm2;
system("ssh -l $USER $HOST \"rm -f /tmp/${FILE}; python2.2 bittorrent/btdownloadheadless.py @ARGV --saveas /tmp/${FILE}\" 2>&1"); 
$end=time();
print "Average speed: XXXX KB/S: total time ",$end-$start,"  seconds\n";


sub handleAlarm1{
	print "remote-bittorrent.pl TIMEOUT 1\n";
	exit(-1);
}
sub handleAlarm2{
	$end=time();
	print "Average speed: XXXX KB/S: total time ",$end-$start,"  TIMEOUT2!!\n";
	exit(-1);
}


